@echo off
echo This is the update batch for OpenDCC Gateway
echo This batch will load Gateway_Sniffer.hex and Gateway_Sniffer.eep
if %1.==. goto err

echo.
echo Please Remove OpenDCC Gateway 
echo  plug a jumper on bootloader pins and reconnect
echo  please connect UART1 and USB (4 jumpers on the left)
echo. 
echo OpenDCC Gateway will enter bootloader (running at 19200 Baud).
echo (LED 1 will be on (red)
echo.
pause

mode %1 BAUD=19200 PARITY=n DATA=8 STOP=1

avrosp -dAT90can128 -e -pf -vf -ifGateway_Sniffer.hex -c%1

echo Flash done, now loading EEPROM ...
echo (if you want to keep your eeprom content, press ctrl C)
pause

avrosp -dAT90can128 -pe -ve -ieGateway_Sniffer.eep -c%1

echo Update done, now exit bootloader ..
pause
echo E > %1
echo.

goto exit

:err
echo error: missing value for com port
echo usage: %0 "[COM1|COM2|COM3|...|COM8]"
echo note: COM must be entered in upper case.
echo program file: gateway_sniffer.hex and gateway_sniffer.eep
echo.
:exit
